Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xhaus.modjy
Class ModjyJServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.xhaus.modjy.ModjyJServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class ModjyJServlet

extends javax.servlet.http.HttpServlet

See Also:
  Serialized Form

Constructor Summary
`ModjyJServlet()`

Method Summary
`void` | `destroy()` Close down the modjy servlet.
`void` | `init()` Initialise the modjy servlet. 1.
`void` | `service(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)` Actually service the incoming request.

Methods inherited from class javax.servlet.http.HttpServlet
`service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModjyJServlet

    public ModjyJServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Initialise the modjy servlet. 1. Read the configuration 2. Initialise the jython runtime 3. Setup, in relation to the J2EE servlet environment 4. Create the jython-implemented servlet 5. Initialise the jython-implemented servlet

  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### service

    public void service(javax.servlet.http.HttpServletRequest req,
                        javax.servlet.http.HttpServletResponse resp)
                 throws javax.servlet.ServletException,
                        IOException

  Actually service the incoming request. Simply delegate to the jython servlet.

  Overrides:
    `service` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `req` - - The incoming HttpServletRequest
    `resp` - - The outgoing HttpServletResponse
  Throws:
    `javax.servlet.ServletException`
    `IOException`

### destroy

    public void destroy()

  Close down the modjy servlet.

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage